Create a batch generation job
curl --request POST \
--url https://api.animusai.co/v2/generation/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
{
"prompt": "<string>",
"face_swap": true,
"use_face_lora": true,
"use_body_lora": true,
"source_image_url": "<string>"
}
],
"character_id": "<string>",
"group_id": "<string>",
"group_title": "<string>"
}
'import requests
url = "https://api.animusai.co/v2/generation/batch"
payload = {
"prompts": [
{
"prompt": "<string>",
"face_swap": True,
"use_face_lora": True,
"use_body_lora": True,
"source_image_url": "<string>"
}
],
"character_id": "<string>",
"group_id": "<string>",
"group_title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompts: [
{
prompt: '<string>',
face_swap: true,
use_face_lora: true,
use_body_lora: true,
source_image_url: '<string>'
}
],
character_id: '<string>',
group_id: '<string>',
group_title: '<string>'
})
};
fetch('https://api.animusai.co/v2/generation/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "<string>",
"group_id": "<string>",
"generation_type": "<string>",
"status": "<string>",
"message": "<string>",
"total_requested": 123,
"successful_submissions": 123,
"failed_submissions": 123,
"estimated_time": 123,
"credits_deducted": 123,
"remaining_balance": 123,
"results": [
{
"generation_id": "<string>",
"status": "<string>",
"prompt_index": 123,
"error": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"character_id": "<string>",
"group_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"character_id": "<string>",
"group_id": "<string>"
}Generation
Create a batch generation job
Submit multiple prompts at once for character renders or photo edits.
POST
/
generation
/
batch
Create a batch generation job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Batch submission accepted.
⌘I
